package com.zhongshu.card.server.core.dao.scene;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.scene.extend.ProjectSceneInfoDaoExtend;
import com.zhongshu.card.server.core.domain.scene.ProjectSceneInfo;
import com.zhongshu.card.server.core.domain.scene.SceneInfo;

public interface ProjectSceneInfoDao extends MongoDao<ProjectSceneInfo>, ProjectSceneInfoDaoExtend {

    ProjectSceneInfo findTopById(String id);

    ProjectSceneInfo findTopByName(String sceneName);

    ProjectSceneInfo findTopBySceneInfoAndProjectOid(SceneInfo sceneInfo, String projectOid);

    long deleteBySceneInfoId(String sceneInfoId);

    long countBySceneInfoId(String sceneInfoId);

}
